routes/web.php
<?php
use App\Mail\mailme;


Route::get('/', 'Controller@index');

// Authentication Routes...
$this->get('login', 'Auth\LoginController@showLoginForm')->name('auth.login');
$this->post('login', 'Auth\LoginController@login')->name('auth.login');
$this->post('logout', 'Auth\LoginController@logout')->name('auth.logout');

// Change Password Routes...
$this->get('change_password', 'Auth\ChangePasswordController@showChangePasswordForm')->name('auth.change_password');
$this->patch('change_password', 'Auth\ChangePasswordController@changePassword')->name('auth.change_password');

// Password Reset Routes...
$this->get('password/reset', 'Auth\ForgotPasswordController@showLinkRequestForm')->name('auth.password.reset');
$this->post('password/email', 'Auth\ForgotPasswordController@sendResetLinkEmail')->name('auth.password.reset');
$this->get('password/reset/{token}', 'Auth\ResetPasswordController@showResetForm')->name('password.reset');
$this->post('password/reset', 'Auth\ResetPasswordController@reset')->name('auth.password.reset');

Route::group(['middleware' => ['auth'], 'prefix' => 'admin', 'as' => 'admin.'], function () {
    Route::get('/dashboard', function () { return redirect('/admin/home'); });
    Route::get('/home', 'HomeController@index');
    Route::resource('roles', 'Admin\RolesController');
    Route::post('roles_mass_destroy', ['uses' => 'Admin\RolesController@massDestroy', 'as' => 'roles.mass_destroy']);
    
    Route::resource('users', 'Admin\UsersController');
    Route::post('users_mass_destroy', ['uses' => 'Admin\UsersController@massDestroy', 'as' => 'users.mass_destroy']);
    
    Route::resource('salles', 'Admin\SallesController');
    Route::post('salles_mass_destroy', ['uses' => 'Admin\SallesController@massDestroy', 'as' => 'salles.mass_destroy']);
    
    Route::resource('appointments', 'Admin\AppointmentsController');
    Route::post('appointments_mass_destroy', ['uses' => 'Admin\AppointmentsController@massDestroy', 'as' => 'appointments.mass_destroy']);
    
    Route::resource('prix', 'PrixController');
    Route::resource('type', 'TypeEntrepriseController');
    Route::resource('timing', 'TimingController');
    
   // Route::get('/demandes', 'DemandeController@index');
});

Route::resource('demandes', 'DemandeController');

resources/views/admin/type/create.blade.php
@extends('layouts.app')

@section('content')
    <h3 class="page-title">Ajouter un type</h3>
    {!! Form::open(['method' => 'POST', 'route' => ['admin.type.store']]) !!}

    <div class="panel panel-default">
        
        
        <div class="panel-body">
            <div class="row">
                <div class="col-xs-12 form-group">
                    {!! Form::label('titre', 'Titre*', ['class' => 'control-label']) !!}
                    {!! Form::text('titre', old('titre'), ['class' => 'form-control', 'placeholder' => '', 'required' => '']) !!}
                    <p class="help-block"></p>
                    @if($errors->has('titre'))
                        <p class="help-block">
                            {{ $errors->first('titre') }}
                        </p>
                    @endif
                </div>
            </div>
            
        </div>
    </div> 

    {!! Form::submit(trans('Enregistrer'), ['class' => 'btn btn-danger']) !!}
    {!! Form::close() !!}
@stop

resources/views/admin/type/edit.blade.php
@extends('layouts.app')

@section('content')
    <h3 class="page-title">Type d'entreprise</h3>
    
    {!! Form::model($type, ['method' => 'PUT', 'route' => ['admin.type.update', $type->id]]) !!}

    <div class="panel panel-default">
        <div class="panel-heading">
            Modifier
        </div>

        <div class="panel-body">
            <div class="row">
                <div class="col-xs-12 form-group">
                    {!! Form::label('titre', 'Titre *', ['class' => 'control-label']) !!}
                    {!! Form::text('titre', old('titre'), ['class' => 'form-control', 'required' => '']) !!}
                    <p class="help-block"></p>
                    @if($errors->has('titre'))
                        <p class="help-block">
                            {{ $errors->first('titre') }}
                        </p>
                    @endif
                </div>
            </div>
            
        </div>
    </div>

    {!! Form::submit(trans('Mettre à jour'), ['class' => 'btn btn-danger']) !!}
    {!! Form::close() !!}
@stop

resources/views/admin/type/index.blade.php
@extends('layouts.app')

@section('content')
    <h3 class="page-title">Type de l'entreprise</h3>
    @can('type_create')
    <p>
        <a href="{{ route('admin.type.create') }}" class="btn btn-success">@lang('Ajouter')</a>

    </p>
    @endcan

    <div class="panel panel-default">
        

        <div class="panel-body table-responsive">
            <table class="table table-bordered table-striped {{ count($types) > 0 ? '' : '' }} @can('type_delete') dt-select @endcan">
                <thead>
                    <tr>
                        <th>Type de l'entreprise</th>
                        <th>&nbsp;</th>
                    </tr> 
                </thead>

                <tbody>
                    @if (count($types) > 0)
                        @foreach ($types as $type)
                            <tr data-entry-id="{{ $type->id }}">

                                <td>{{ $type->titre }}</td>
                                <td>
                                    @can('type_edit')
                                    <button class="btn" >
                                        <a href="{{ route('admin.type.edit',[$type->id]) }}">
                                        <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
                                    </a></button>
                                    @endcan
                                    @can('type_delete')
                                    {!! Form::open(array(
                                        'style' => 'display: inline-block;',
                                        'method' => 'DELETE',
                                        'onsubmit' => "return confirm('".trans("Etes-vous sur?")."');",
                                        'route' => ['admin.type.destroy', $type->id])) !!}
                                    {!! Form::button('<i class="fa fa-trash-o" aria-hidden="true"></i>', ['class' => 'btn', 'type' => 'submit']) !!}
                                    {!! Form::close() !!}
                                    @endcan
                                </td>
                            </tr>
                        @endforeach
                    @else
                        <tr>
                            <td colspan="8">@lang('quickadmin.qa_no_entries_in_table')</td>
                        </tr>
                    @endif
                </tbody>
            </table>
        </div>
    </div>
@stop

@section('javascript')
  
@endsection